# Class: Matchup

## Matchup()

Matchup --------------------------------------------------------------------------- A model representing a single scheduled match-up between two teams.

## Constructor

#### new Matchup()

Source:
  - app/models/Matchup.model.js, line 9

### Extends

- Model

### Members

#### (static) schema

define the schema of the model

Source:
  - app/models/Matchup.model.js, line 17

### Methods

#### (async) home_team()

Source:
  - app/models/Matchup.model.js, line 31

##### Returns:

the data of the home team

#### (async) to_api()

Format this matchup to be compatible with the API output.

Source:
  - app/models/Matchup.model.js, line 48

##### Returns:

Promise

#### (async) visitor_team()

Source:
  - app/models/Matchup.model.js, line 39

##### Returns:

the data of the visitor team